Subject: RE: decision item for ZEROCONF WG: What is zeroconf?

From: "Hattig, Myron" <[email-masked]>
Date: Wed, 9 Aug 2000 15:40:58 -0700

In the below definition, "a priori configuration" is very important. The
definition says that router information is okay, but burned-in and server
(e.g. DHCP) info are not okay. In the past, others have said that router
information is not okay. The problem with this type of definition is that it
applies differently to each protocol area and it allows everyone to think
they can exclude protocols they don't like. 

Here are some examples, a burned in MAC address is used for autonet in an
ARP request to see if an IP address is used. Erik's definition excludes
autonet from being a ZC protocol.

Previously on this list I've talked about using ICMP get route and ICMP get
netmask to do multi-IP subnet IP host configuration. Some claimed that was
not ZC because it relied on configuration in a router. (Don't worry I'm not
working on this anymore. ;-)

Neither router information nor burned-in information are used in service
discovery protocols, so how do we apply these ideas to service discovery? If
someone claims a registry (see service discovery terms) is a server, then
SLP registries cannot be ZC solutions.

Applying this definition consistently is confusing.

In thinking back to the original BOFs, I walked out of the meetings thinking
zeroconf is exactly what our customers want - networks that are easy to use
and do not require them to configure their network. At the time, I wasn't
thinking about servers, routers, or burned-in configuration or any of that.
I was thinking that home networking may actually have a chance of
penetrating the mass market.

I prefer the definition simply says "no user configuration".

-myron

> -----Original Message-----
> From: Donald E. Eastlake 3rd [mailto:[email-masked]]
> Sent: Wednesday, August 09, 2000 7:37 AM
> To: [email-masked]
> Subject: Re: decision item for ZEROCONF WG: What is zeroconf? 
> 
> 
> 
> Given the choices offered, I would go with -03.  Erik's version has
> merit but I think it is too wordy, I'd prefer to minimize the latin,
> and I see no problem with zeroconf using "configuration" burned into
> hardware such as serial numbers, MAC addresses, public-private key
> pairs, etc. although perhpas that is not what we mean by
> "configuration" and is more like "identity"...
> 
> Thanks,
> Donald
> 
> From:  Erik Guttman <[email-masked]>
> Date:  Wed, 9 Aug 2000 09:04:19 +0200 (MET DST)
> To:  [email-masked]
> Cc:  [email-masked], [email-masked], 
> [email-masked]
> Message-ID:  <[email-masked]>
> 
> >In my comments on draft 4 of the requirements, I objected to
> >the text in draft defining what a zeroconf protocol is.  This
> >is of such fundamental importance to the WG, I want a formal 
> >decision.
> >
> >The definition in draft 03 was:
> >
> >   A zeroconf protocol requires no user configuration and does not
> >   rely on information received from a centralized server.
> > 
> >   A non-zeroconf protocol requires user configuration or relies on
> >   information received from a centralized server.
> >
> >The definition in draft 04 is:
> >
> >     A zeroconf protocol requires no user configuration.  
> >    
> >     A non-zeroconf protocol requires user configuration. 
> >
> >I believe this is a wrong turn.  The 03 definition is far closer to
> >what I think we mean by 'zero configuration' - namely, a host comes
> >up with no configuration but contains software which can 
> collaboratively
> >obtain configuration state from the network.  If there is a 
> server on the
> >network which configures the host (a client-server dynamic 
> configuration
> >protocol), the host is not collaborating to configure 
> itself.  We no longer
> >are generating configuration but obtaining it. 
> >
> >The definition I propose is:
> >
> >     A zeroconf protocol requires no a prior configuration.  A host
> >     obtains all configuration a posteriori, on the basis of
> >     interactions with other hosts or routers on the network, over
> >     time.
> >
> >     A non-zeroconf protocol requires configuration (for instance
> >     user configuration, configuration burned into hardware,
> >     configuration obtained from a client-server dynamic 
> configuration
> >     protocol, etc.)
> >
> >             ***********************************************
> >             ***********************************************
> >             ***       For WG mailing list approval      ***
> >             ***                                         ***
> >             ***  Decide on which formulation of the     ***
> >             ***  definition of a zeroconf protocol.     ***
> >             ***                                         ***
> >             ***  Choose version 03, 04 or Erik's.       ***
> >             ***                                         ***
> >             ***********************************************
> >             ***********************************************
> >
> >Please send your comments to the list in the next two weeks.
> >
> >Erik
> 
> 
>

---

From: Thomas Marshall Eubanks <[email-masked]>
Date: Thu, 10 Aug 2000 10:46:21 -0400

> > >     configuration obtained from a client-server dynamic

Hello;

Going back to the "my <insert name of favorite older relative>" rule -
If you can't just plug it in and turn it on my Mother will not use it.
If you can, she will.

Using that principle, Zeroconfig means no human intervention ANYWHERE. If that
requires a central box, then why isn't that OK - as long as the central box
doesn't require human intervention. I am not sure that  DHCP qualifies -
I know we've had to fddle with it when we were setting it up.

My $0.02 worth is to go witrh Draft 4, but maybe to make it clearer
that you cannot push the intervention elsewhere.

                                   Regards
                                   Marshall Eubanks

   T.M. Eubanks
   Multicast Technologies, Inc
   10301 Democracy Lane, Suite 410
   Fairfax, Virginia 22030
   Phone : 703-293-9624
   Fax     : 703-293-9609
   e-mail : [email-masked]     [email-masked]